public class SecretsApi extends Object
| Constructor and Description |
|---|
SecretsApi() |
SecretsApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
void |
createSecret(String account,
String kind,
String identifier)
Creates a secret value within the specified variable.
|
void |
createSecret(String account,
String kind,
String identifier,
String expirations,
String xRequestId,
String body)
Creates a secret value within the specified variable.
|
okhttp3.Call |
createSecretAsync(String account,
String kind,
String identifier,
String expirations,
String xRequestId,
String body,
ApiCallback<Void> _callback)
Creates a secret value within the specified variable.
|
okhttp3.Call |
createSecretCall(String account,
String kind,
String identifier,
String expirations,
String xRequestId,
String body,
ApiCallback _callback)
Build call for createSecret
|
ApiResponse<Void> |
createSecretWithHttpInfo(String account,
String kind,
String identifier)
Creates a secret value within the specified variable.
|
ApiResponse<Void> |
createSecretWithHttpInfo(String account,
String kind,
String identifier,
String expirations,
String xRequestId,
String body)
Creates a secret value within the specified variable.
|
ApiClient |
getApiClient() |
String |
getSecret(String account,
String kind,
String identifier)
Fetches the value of a secret from the specified Secret.
|
String |
getSecret(String account,
String kind,
String identifier,
Integer version,
String xRequestId)
Fetches the value of a secret from the specified Secret.
|
okhttp3.Call |
getSecretAsync(String account,
String kind,
String identifier,
Integer version,
String xRequestId,
ApiCallback<String> _callback)
Fetches the value of a secret from the specified Secret.
|
okhttp3.Call |
getSecretCall(String account,
String kind,
String identifier,
Integer version,
String xRequestId,
ApiCallback _callback)
Build call for getSecret
|
Object |
getSecrets(String variableIds)
Fetch multiple secrets
Fetches multiple secret values in one invocation.
|
Object |
getSecrets(String variableIds,
String acceptEncoding,
String xRequestId)
Fetch multiple secrets
Fetches multiple secret values in one invocation.
|
okhttp3.Call |
getSecretsAsync(String variableIds,
String acceptEncoding,
String xRequestId,
ApiCallback<Object> _callback)
Fetch multiple secrets (asynchronously)
Fetches multiple secret values in one invocation.
|
okhttp3.Call |
getSecretsCall(String variableIds,
String acceptEncoding,
String xRequestId,
ApiCallback _callback)
Build call for getSecrets
|
ApiResponse<Object> |
getSecretsWithHttpInfo(String variableIds)
Fetch multiple secrets
Fetches multiple secret values in one invocation.
|
ApiResponse<Object> |
getSecretsWithHttpInfo(String variableIds,
String acceptEncoding,
String xRequestId)
Fetch multiple secrets
Fetches multiple secret values in one invocation.
|
ApiResponse<String> |
getSecretWithHttpInfo(String account,
String kind,
String identifier)
Fetches the value of a secret from the specified Secret.
|
ApiResponse<String> |
getSecretWithHttpInfo(String account,
String kind,
String identifier,
Integer version,
String xRequestId)
Fetches the value of a secret from the specified Secret.
|
void |
setApiClient(ApiClient apiClient) |
public SecretsApi()
public SecretsApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call createSecretCall(String account, String kind, String identifier, String expirations, String xRequestId, String body, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)expirations - Tells the server to reset the variables expiration date (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - Secret data (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 201 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public void createSecret(String account, String kind, String identifier, String expirations, String xRequestId, String body) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)expirations - Tells the server to reset the variables expiration date (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - Secret data (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public void createSecret(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resource - in almost all cases this should be `variable`identifier - URL-encoded variable IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Void> createSecretWithHttpInfo(String account, String kind, String identifier, String expirations, String xRequestId, String body) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)expirations - Tells the server to reset the variables expiration date (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - Secret data (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Void> createSecretWithHttpInfo(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resource - in almost all cases this should be `variable`identifier - URL-encoded variable IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call createSecretAsync(String account, String kind, String identifier, String expirations, String xRequestId, String body, ApiCallback<Void> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)expirations - Tells the server to reset the variables expiration date (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - Secret data (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 201 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call getSecretCall(String account, String kind, String identifier, Integer version, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)version - (**Optional**) Version you want to retrieve (Conjur keeps the last 20 versions of a secret) (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public String getSecret(String account, String kind, String identifier, Integer version, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)version - (**Optional**) Version you want to retrieve (Conjur keeps the last 20 versions of a secret) (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public String getSecret(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resource - in almost all cases this should be `variable`identifier - URL-encoded variable IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<String> getSecretWithHttpInfo(String account, String kind, String identifier, Integer version, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)version - (**Optional**) Version you want to retrieve (Conjur keeps the last 20 versions of a secret) (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<String> getSecretWithHttpInfo(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resource - in almost all cases this should be `variable`identifier - URL-encoded variable IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call getSecretAsync(String account, String kind, String identifier, Integer version, String xRequestId, ApiCallback<String> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource - in almost all cases this should be `variable` (required)identifier - URL-encoded variable ID (required)version - (**Optional**) Version you want to retrieve (Conjur keeps the last 20 versions of a secret) (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The secret value was added successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call getSecretsCall(String variableIds, String acceptEncoding, String xRequestId, ApiCallback _callback) throws ApiException
variableIds - Comma-delimited, URL-encoded resource IDs of the variables. (required)acceptEncoding - Set the encoding of the response object (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The batch secret values | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | At least one resource was unable to be found | - |
| 406 | Issue encoding secret into JSON format | - |
| 422 | A request parameter was either missing or invalid. | - |
public Object getSecrets(String variableIds, String acceptEncoding, String xRequestId) throws ApiException
variableIds - Comma-delimited, URL-encoded resource IDs of the variables. (required)acceptEncoding - Set the encoding of the response object (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The batch secret values | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | At least one resource was unable to be found | - |
| 406 | Issue encoding secret into JSON format | - |
| 422 | A request parameter was either missing or invalid. | - |
public Object getSecrets(String variableIds) throws ApiException
variableIds - Comma-delimited, URL-encoded resource IDs of the variables.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The batch secret values | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | At least one resource was unable to be found | - |
| 406 | Issue encoding secret into JSON format | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Object> getSecretsWithHttpInfo(String variableIds, String acceptEncoding, String xRequestId) throws ApiException
variableIds - Comma-delimited, URL-encoded resource IDs of the variables. (required)acceptEncoding - Set the encoding of the response object (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The batch secret values | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | At least one resource was unable to be found | - |
| 406 | Issue encoding secret into JSON format | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Object> getSecretsWithHttpInfo(String variableIds) throws ApiException
variableIds - Comma-delimited, URL-encoded resource IDs of the variables.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The batch secret values | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | At least one resource was unable to be found | - |
| 406 | Issue encoding secret into JSON format | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call getSecretsAsync(String variableIds, String acceptEncoding, String xRequestId, ApiCallback<Object> _callback) throws ApiException
variableIds - Comma-delimited, URL-encoded resource IDs of the variables. (required)acceptEncoding - Set the encoding of the response object (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The batch secret values | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | At least one resource was unable to be found | - |
| 406 | Issue encoding secret into JSON format | - |
| 422 | A request parameter was either missing or invalid. | - |
Copyright © 2023. All rights reserved.